Skip to Content
0
Former Member
Mar 31, 2009 at 05:50 PM

Observer.dll version Mismatch with DI API when connecting to company

210 Views

Please help!

I recently upgraded to patch 47 from 45, I entered the company through the di api, and I got an error that said something about external component threw an exception, I closed my program and tried to enter again, now I'm getting this Observer.dll Mismatch, when trying to connect to the company.

I saw another post, and verified the DI API dll SAPbobsCOM with THE SCAB table in SBO-COMMON, and both are 800181.

Iam using the SAPbobsCOM dll that its under C:\Program Files\SAP\SAP Business One\DI API\2007, although I have to say, I was using another dll from the examples folder in the SDK, when I started getting the error I changed to the one above. Ive tried deleting the SBO-COMMON database and then executing the upgrade patch 47 to rebuild, but Im getting the same error.

More Info: I took a look at this temp folder:

C:\Documents and Settings\username\Local Settings\Temp\SM_OBS_DLL\800148

Ive noticed that the version is diferent, but where does it come from?

Thank you!

Edited by: Josu00E9 Inu00E9s Cantu00FA Arrambide on Mar 31, 2009 7:51 PM

Edited by: Josu00E9 Inu00E9s Cantu00FA Arrambide on Mar 31, 2009 8:02 PM